## emdebian-rootfs 2.0.2

=== Makefile ===

all:

install:

clean:
	$(RM) *tar.gz.cdbs-config_list
	$(RM) *.1 *.3
	$(RM) doc/po4a.config

check:

test:

=== debian/changelog ===
emdebian-rootfs (2.0.2) unstable; urgency=low

  * emrootfslib : Add provide_empty_dpkg_divert function for Crush.
  * Update default values for MIRROR (Closes: #532764)
  * emrootfslib : Add for empty scripts to replace adduser
  * Examples moved into /usr/share/doc/emdebian-rootfs/examples
    (Closes: #533236)

 -- Neil Williams <codehelp@debian.org>  Mon, 22 Jun 2009 17:10:11 +0100

emdebian-rootfs (2.0.1) unstable; urgency=low

  * Expand long description for multistrap (Closes: #527364)
  * Tweak the update-rc.d replacement to avoid using a backslash.
    (Closes: #530076)

 -- Neil Williams <codehelp@debian.org>  Mon, 25 May 2009 17:39:21 +0100

emdebian-rootfs (2.0.0) unstable; urgency=low

  * Debian release.
  * Add Recommends: on gcc so that dpkg-architecture works properly.
  * Add complaint when workingdir is not set in /etc/emsource.conf
    (Closes: #521474)
  * em_multistrap does not need Emdebian::Tools - new package removes
    this dependency. (Closes: #520087)
  * Update download location in debian/copyright

 -- Neil Williams <codehelp@debian.org>  Sat, 25 Apr 2009 23:29:42 +0100

emdebian-rootfs (1.9.0) unstable; urgency=low

  * Emdebian release
  * Add docbook-xml to Build-Depends-Indep

 -- Neil Williams <codehelp@debian.org>  Sun, 29 Mar 2009 19:52:41 +0100

emdebian-rootfs (1.8.0) unstable; urgency=low

  * Initial split from emdebian-tools source package.
  * pbuilder/em_multistrap : Allow retention of source packages outside
    the rootfs for source distribution and allow separate configuration
    of the apt sources inside the rootfs.

 -- Neil Williams <codehelp@debian.org>  Sun, 29 Mar 2009 19:30:43 +0100

=== debian/control ===
Source: emdebian-rootfs
Section: utils
Priority: extra
Maintainer: Neil Williams <codehelp@debian.org>
Uploaders: Wookey <wookey@debian.org>
Build-Depends: cdbs, debhelper (>= 5), po-debconf
Build-Depends-Indep: devscripts, docbook-xml, docbook-xsl,
 gnupg, libxml2-utils, po4a, xml-core, xsltproc
Standards-Version: 3.8.2
Homepage: http://www.emdebian.org/
Vcs-Browser: http://buildd.emdebian.org/svn/browser/current/host/trunk/emdebian-rootfs/trunk/
Vcs-Svn: http://buildd.emdebian.org/repos/current/host/trunk/emdebian-rootfs/trunk/

Package: emdebian-rootfs
Architecture: all
Depends: ${perl:Depends}, ${misc:Depends}, apt, apt-cross (>= 0.5.0),
 binutils-multiarch, debootstrap (>= 1.0.4), dpkg-cross (>= 2.1.0),
 devscripts, emdebian-archive-keyring, multistrap, pbuilder, sudo, ucf,
 libparse-debian-packages-perl, libemdebian-tools-perl
Replaces: emdebian-tools (<= 1.4.3)
Recommends: gcc
Suggests: deb-gview, debian-xcontrol, screen | minicom
Description: emdebian root filesystem support
 Scripts for preparing root filesystems of Emdebian for specific
 machines and variants.
 .
 Root filesystem tarballs created with emsandbox need minimal
 configuration on the embedded device before the first boot.
 .
 Supports customisation of package selection and of files created
 within the root filesystem.

Package: multistrap
Section: admin
Architecture: all
Depends: ${perl:Depends}, ${misc:Depends}, apt,
 libconfig-auto-perl, libparse-debian-packages-perl
Replaces: emdebian-rootfs (<= 1.6.0)
Description: multiple repository bootstrap based on apt
 A debootstrap replacement with multiple repository support,
 using apt to handle all dependency issues and conflicts.
 .
 Multistrap includes support for foreign architecture multistraps
 that need  only minimal configuration on the final device. Also
 supports cleaning  up the generated bootstrap filesystem to 
 remove downloaded packages and hooks to modify the files in
 the bootstrap filesystem after the packages have been unpacked
 but before being configured.
 .
 Unlike debootstrap, multistrap relies on working versions of
 dpkg and apt outside the final filesystem.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses cdbs.  Originally written by Robert Millan.
# This file is public domain.
  
include /usr/share/cdbs/1/class/makefile.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/simple-patchsys.mk

install/emdebian-rootfs::
	./doc/genmanpages
	po4a --rm-backups doc/po4a.config

clean::
#	debconf-updatepo
	rm -rf doc/man/man1 doc/man/man3
	rm -rf pod2htmd.tmp pod2htmi.tmp

## emdebian-rootfs 2.0.4

=== debian/changelog ===
emdebian-rootfs (2.0.4) unstable; urgency=low

  * [INTL:fr] French manpage translation update (Closes: #552198)
  * Check for symlinks from lib64 to /lib and warn if not unset.
    (Closes: #553599)
  * Use genmanpages code from svn-buildpackage for translated content.
  * Apply useNativeDist to package POT file
  * Add support for translated program output in multistrap
  * [INTL:pt] Initial Portuguese program translation (Closes: #555485)
  * improve flexibility of genmanpages with changes from po4a.
  * [INTL:pt] Portuguese translation for manpage (Closes: #556293)
  * Add support for adding extra packages at the end of the run. Work
    around dash and dpkg-divert issue. Use dpkg -X to avoid problems
    with data.tar.bz2 and check that the /bin/sh symlink exists.
  * Switch to po4a-build for manpage generation and translation.
  * Use default config filename for po4a-build.

 -- Neil Williams <codehelp@debian.org>  Tue, 24 Nov 2009 08:37:09 +0000

emdebian-rootfs (2.0.3) unstable; urgency=low

  * [INTL:pt] Portuguese manpage translation. (Closes: #544953)
  * Include example config and provide sensible default
    configuration values. (Closes: #545488)
  * [l10n:fr] French manpage translation (Closes: #547325)

 -- Neil Williams <codehelp@debian.org>  Fri, 18 Sep 2009 19:16:47 +0100

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: extra
 Maintainer: Neil Williams <codehelp@debian.org>
 Uploaders: Wookey <wookey@debian.org>
-Build-Depends: cdbs, debhelper (>= 5), po-debconf
+Build-Depends: cdbs, debhelper (>= 5), po4a (>= 0.37.1), po-debconf
 Build-Depends-Indep: devscripts, docbook-xml, docbook-xsl,
- gnupg, libxml2-utils, po4a, xml-core, xsltproc
-Standards-Version: 3.8.2
+ gnupg, libxml2-utils, xml-core, xsltproc
+Standards-Version: 3.8.3
 Homepage: http://www.emdebian.org/
 Vcs-Browser: http://buildd.emdebian.org/svn/browser/current/host/trunk/emdebian-rootfs/trunk/
 Vcs-Svn: http://buildd.emdebian.org/repos/current/host/trunk/emdebian-rootfs/trunk/

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses cdbs.  Originally written by Robert Millan.
# This file is public domain.
  
include /usr/share/cdbs/1/class/makefile.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/simple-patchsys.mk

DEB_MAKE_INSTALL_TARGET=install
